firebird4.0 (4.0.6.3221.ds6-2) unstable; urgency=medium

  * -examples: replace firebird4.0-dev recommendation with firebird-dev.
    Thanks to Carles Pina i Estany (Closes: #1113833)
  * convert debian/watch to version 5

 -- Damyan Ivanov <dmn@debian.org>  Wed, 03 Sep 2025 09:44:20 +0000

firebird4.0 (4.0.6.3221.ds6-1) unstable; urgency=medium

  * rename default branch to debian/unstable
  * turn off pristine-tar in gbp.conf
  * rename upstream branch to upstream/latest
  * New upstream version 4.0.6.3221.ds6
    Closes: #1111320 (CVE-2025-54989)
    Closes: #1111322 (CVE-2025-24975)
  * rebase and refresh patches
  * drop debian/source/local-options
  * declare conformance with Policy 4.7.2 (no changes needed)
  * declare origin of upstream/std-c++-17.patch

 -- Damyan Ivanov <dmn@debian.org>  Sun, 17 Aug 2025 19:24:26 +0000

firebird4.0 (4.0.5.3140.ds6-17) unstable; urgency=medium

  * Added po-debconf Catalan translation by poc senderi
    <pocsenderi@protonmail.com>
  * Adjust lintian overrides

 -- Damyan Ivanov <dmn@debian.org>  Sun, 23 Mar 2025 16:32:11 +0000

firebird4.0 (4.0.5.3140.ds6-16) unstable; urgency=medium

  [ Gioele Barabucci ]
  * d/control: Remove outdated debconf version constraint (Closes: #1096117)

 -- Damyan Ivanov <dmn@debian.org>  Mon, 17 Feb 2025 07:58:41 +0000

firebird4.0 (4.0.5.3140.ds6-15) unstable; urgency=medium

  * add Breaks: libreoffice-sdbc-firebird (<< 4:24.8.4-2~) (Closes: #1094284)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 08 Feb 2025 11:43:58 +0000

firebird4.0 (4.0.5.3140.ds6-14) unstable; urgency=medium

  * fix init.d-style service management

 -- Damyan Ivanov <dmn@debian.org>  Fri, 07 Feb 2025 15:17:31 +0000

firebird4.0 (4.0.5.3140.ds6-13) unstable; urgency=medium

  * move RemoteServicePort from firebird.conf to a separate file, managed in
    postinst

 -- Damyan Ivanov <dmn@debian.org>  Wed, 05 Feb 2025 14:54:25 +0000

firebird4.0 (4.0.5.3140.ds6-12) unstable; urgency=medium

  * functions.sh: fix shell quoting, also in generated SYSDBA.password
  * -server.postinst: create 'firebird' user only if it doesn't exists
  * install /var/lib/firebird in firebird4.0-server-core
    Closes: #1094221

 -- Damyan Ivanov <dmn@debian.org>  Sun, 26 Jan 2025 16:49:16 +0000

firebird4.0 (4.0.5.3140.ds6-11) unstable; urgency=medium

  * Upload to unstable

 -- Damyan Ivanov <dmn@debian.org>  Sat, 25 Jan 2025 15:24:35 +0000

firebird4.0 (4.0.5.3140.ds6-10) experimental; urgency=medium

  * bump 3.0 dependencies' version above what's in unstable

 -- Damyan Ivanov <dmn@debian.org>  Thu, 16 Jan 2025 14:51:43 +0000

firebird4.0 (4.0.5.3140.ds6-9) experimental; urgency=medium

  * -common: drop Breaks: firebird3.0-common (Closes: #1093120)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 15 Jan 2025 13:00:53 +0000

firebird4.0 (4.0.5.3140.ds6-8) experimental; urgency=medium

  * fix typo in Bulgarian PO translation
  * add ../system to -server.dirs
  * fix package name in SYSDBA.password comments
  * add a patch from upstream fixing thread initialization
  * bump 3.0 dependencies' version above what's in unstable

 -- Damyan Ivanov <dmn@debian.org>  Wed, 15 Jan 2025 09:16:41 +0000

firebird4.0 (4.0.5.3140.ds6-7) experimental; urgency=medium

  * rules: fix path to security.fdb

 -- Damyan Ivanov <dmn@debian.org>  Mon, 13 Jan 2025 14:57:57 +0000

firebird4.0 (4.0.5.3140.ds6-6) experimental; urgency=medium

  * fix architecture-dependent builds (--arch-any --no-arch-all)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 10 Jan 2025 15:09:55 +0000

firebird4.0 (4.0.5.3140.ds6-5) experimental; urgency=medium

  * use dh_install* for populating package contents; add firebird/impl/*.h
    files
    (Closes: #1092490)
  * libibutil.lintian-overrides: use wildcards instead of sed patching

 -- Damyan Ivanov <dmn@debian.org>  Fri, 10 Jan 2025 11:54:23 +0000

firebird4.0 (4.0.5.3140.ds6-4) experimental; urgency=medium

  * Add a patch from Matthias Klose dropping -march=i586 -mtune=i686
    (Closes: #1092469)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 08 Jan 2025 13:54:40 +0000

firebird4.0 (4.0.5.3140.ds6-3) experimental; urgency=medium

  * bump 3.0 dependencies' version above what's in unstable
  * properly import mips64el and loongarch support from upstream
  * update patch offsets
  * fix Bug-Debian URL
  * disable link-time optimizations (Closes: #1092468)

 -- Damyan Ivanov <dmn@debian.org>  Wed, 08 Jan 2025 11:10:37 +0000

firebird4.0 (4.0.5.3140.ds6-2) experimental; urgency=medium

  * patch in mips64 and loongarch support
  * refresh patches

 -- Damyan Ivanov <dmn@debian.org>  Thu, 02 Jan 2025 08:26:45 +0000

firebird4.0 (4.0.5.3140.ds6-1) experimental; urgency=medium

  * New upstream version 4.0.5.3140.ds6
  * update debian/copyright
  * refresh/rebase patches
  * bump 3.0 dependencies' version above what's in unstable

 -- Damyan Ivanov <dmn@debian.org>  Tue, 31 Dec 2024 08:43:14 +0000

firebird4.0 (4.0.4.3010.ds6-5) experimental; urgency=medium

  * replace hard-coded paths with pkgconf queries
    helps /usr merge transition, see #1073615 (in firebird 3.0)
  * bump FB#_MULTI_VER to make firebird-utils conflict/replace unstable
    versions (Closes: #1074298)

 -- Damyan Ivanov <dmn@debian.org>  Sun, 30 Jun 2024 13:34:35 +0000

firebird4.0 (4.0.4.3010.ds6-4) experimental; urgency=medium

  * cherry-pick -std=c++17 from upstream.
    Fixes build with libre2-dev 20240501 which requires at least c++-14
    (Closes: #1071759)
  * Bump Standards-Version to 4.7.0 (no changes necessary)

 -- Damyan Ivanov <dmn@debian.org>  Sat, 25 May 2024 12:30:54 +0000

firebird4.0 (4.0.4.3010.ds6-3) experimental; urgency=medium

  * replace build-dependency on pkg-config with pkgconf
  * fix arch=all build Closes: #1071133

 -- Damyan Ivanov <dmn@debian.org>  Sun, 19 May 2024 12:25:16 +0000

firebird4.0 (4.0.4.3010.ds6-2) experimental; urgency=medium

  * bump again 3.0 dependencies' version

 -- Damyan Ivanov <dmn@debian.org>  Fri, 05 Apr 2024 07:56:22 +0000

firebird4.0 (4.0.4.3010.ds6-1) experimental; urgency=medium

  * bump 3.0 dependencies' version above what's in unstable
    Closes: #1040321
    also, put the version in a variable for easier management
  * libfbclient2: break 3.0 server packages not supporting multi-version
  * drop dependency on lsb-base again (mismerged)
  * New upstream version 4.0.4.3010.ds6
  * update tzdata copyright years, provide verification script
  * drop system-re2.patch, merged upstream
  * refresh patches to apply cleanly

 -- Damyan Ivanov <dmn@debian.org>  Mon, 13 Nov 2023 21:14:18 +0000

firebird4.0 (4.0.3.2860.ds6-1) experimental; urgency=medium

  * review copyright and licensing information after feedback from the ftp
    team

  * exclude more upstream sources while repackaging:
    + src/utilities/fbcpl/ - unclear licensing of stdafx.h
    + doc/README.makefiles - has only copyright statement without a license
    + src/utilities/install/registry.h
      licensed under "Independent Developers Public License", pointing to
      http://www.ibphoenix.com/IDPL.html which is not available
  * bump .ds<N> suffix
  * fix license stanza under which several files are described
    + src/misc/upgrade/v2.1/metadata_charset* are under IDPL
    + src/jrd/replication is under IDPL, not IPL
    + src/jrd/version.h is under IDPL, not IPL
    + builds/install/posix-common/registerDatabase.sh.in is under LGPL, not
      IDPL
    + examples/interfaces/13.null_pk.cpp is under IPL, not IDPL
    + builds/posix/make.rules is under MPL, not IDPL
    + src/auth/SecDbCache.{cpp,h} are under IPL, not IDPL
    + src/common/config/dir_list.{cpp,h} are under IPL, not IDPL
  * add comment about copyright and licensing sources for tzdata/*.zip
  * add clarification on extern/decNumber/decDPD.h terms
  * add Borland International to the list of copyright holders of IPL-licensed
    files
  * add the license boilerplate to the IPL-licensed Files: stanza
  * add license boilerplate to the IDPL-licensed Files: stanza
  * overhaul copyright holders of IDPL-licensed files
    fix sorting, add missed years, abbreviate sequential years
  * revamp copyright holders list for IPL-licensed files
    sort, add years and emails where present
  * update extern/icu/tzdata/*.zip copyright/licensing comment
  * remove .gitignore when repackaging (instead of .cvsignore)
  * add files not normally present in upstream source tarballs, but present
    in git snapshots to Files-Excluded.
  * exclude src/include/gen/Firebird.pas while repackaging
    generated file, not used during build

  * switch d/watch from github to firebirdsql.org
    useful source tarball no longer accessible via uscan
  * use mk-origtargz for packaging upstream snapshots
    uses the Files-Excluded data from debian/copyright
  * add `gfix -icu' as a third option for dealing with collation versioning
  * fix documentation link in README.Debian
  * update README.source WRT dsN and built/test step
  * New upstream snapshot version 4.0.3.2860.ds6
  * -utils: break/replace 3.0-server because of fb_lock_print
  * bump Standards-Version from 4.6.0 to 4.6.1 (no changes needed)

 -- Damyan Ivanov <dmn@debian.org>  Fri, 21 Oct 2022 09:38:10 +0000

firebird4.0 (4.0.2.2816.ds1-1) experimental; urgency=medium

  * tighten libfbclient2 dependency
    ensures installed libfbclient2 has honor-env.patch applied
  * include fbtracemgr in -utils packages
  * New upstream version 4.0.2.2816.ds1
  * update debian/copyright (-2, +2 files)
  * bump copyright years of extern/icu/tzdata/*.zip
  * update offsets in 5 patches
  * refresh cross-configure.patch
  * update a bunch of lintian overrides to match new lintian expectations
  * bump firebird3.0-utils breaks/replaces/alt-depends version to
    3.0.10.33601-2

 -- Damyan Ivanov <dmn@debian.org>  Fri, 23 Sep 2022 16:51:19 +0000

firebird4.0 (4.0.1.2692.ds1-1) experimental; urgency=medium

  * abandon usage of FIREBIRD_BOOT_BUILD in fb_wrapper
    the good about that variable is that firebird client library, where
    directory discovery is done honours FIREBIRD environment variable
    unfortunately, the ill side effects are too serious to bear:
     - checks whether a given database path matches the configured restricted
       paths are dropped -- potential security issue
     - checks whether database belongs to an NFS share are skipped -- may
       lead to db corruption
    the new approach is to make the good effect of the variable permanent
    via a patch to common/utils.cpp
  * put links to /usr/lib/$TRIPLET/firebird/4.0/bin to a new pair of
    wrapper scripts, which pass the invocation to /usr/sbin/$script or
    /usr/bin/$script
    this way runnung a binary directly from /usr/lib/$TRIPLET/firebird/4.0/bin
    (the 'bin' directory discovered at runtime by libfbclient) sets
    up proper environment
  * do not install manpages in nodoc mode
    these aren't created, so can't be installed
  * also drop extern/int128 when repacking upstream sources
    will use libabseil-dev build-time dependency for that
  * fix typo in debian/copyright
  * correctly note that all doc/*.pdf are removed from repackaged source
  * New upstream version 4.0.1.2692.ds1
  * describe a couple of new files in debian/copyright
  * bump years of debian/ copyright
  * drop 6 patches applied upstream
  * update line offsets of 9 patches
  * adjust 3 patches to apply to the new upstream source
  * out/cloop-honour-build-flags.patch: smaller scale and working
  * describe honor-env.patch and mark as Forwarded: not-needed
  * honour LDFLAGS when linking cloop
    only used duting build, but seems like a good idea anyway
  * use LDFLAGS when linking cloop test files
  * restore -static-libstdc++ to STATICEXE_LINK
    this is used only for some intermediate binaries, not shipped in the
    package
  * add LDFLAGS to LIB_LINK
  * add CPPFLAGS and CFLAGS to decNumber compilation
  * replace -O2 with -O3 in Debian supplied build flags
    also stop exporting, not needed
    -O3 is what upstream uses and it may be important for performance

 -- Damyan Ivanov <dmn@debian.org>  Wed, 13 Apr 2022 20:07:40 +0000

firebird4.0 (4.0.0.2496.ds1-1) experimental; urgency=medium

  * Initial release, can coexist with firebird3.0 3.0.7.33374.ds4-3 (pending
    upload to experimental)
    Closes: #992133 -- ITP

 -- Damyan Ivanov <dmn@debian.org>  Fri, 29 Oct 2021 15:20:49 +0000
